
/*  
 * $Id: files.h,v 1.7 2005/02/03 17:52:32 isv Exp $
 *
 * This source file is a part of a Kaspersky Antivirus Monitor.
 * Copyright (C) Kaspersky Lab, 1997-2004
 * See License.txt for details
 *
 */


#ifndef KAVMON_FILES_H
#define KAVMON_FILES_H

char * get_path_by_dentry (struct dentry * dentry, struct vfsmount * mnt);
char * get_exec_path(struct task_struct *task, file_info * file);
void get_exec_info(struct task_struct *task, file_info * file);
char * get_file_from_userspace (const char * u_filename, file_info * info, char ** filename);



#endif

